ResponseReceipt (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.message.ResponseReceipt class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.message
Class ResponseReceipt

    java.lang.Object
      org.codehaus.activemq.message.AbstractPacket
          org.codehaus.activemq.message.Receipt
              org.codehaus.activemq.message.ResponseReceipt

All Implemented Interfaces:
  Packet

public class ResponseReceipt
extends Receipt

A receipt that also carries a reponse object.

Field Summary

Fields inherited from class org.codehaus.activemq.message.AbstractPacket
`bitArray, BROKERS_VISITED_INDEX, RECEIPT_REQUIRED_INDEX`

Fields inherited from interface org.codehaus.activemq.message.Packet
`ACTIVEMQ_BROKER_INFO, ACTIVEMQ_BYTES_MESSAGE, ACTIVEMQ_CONNECTION_INFO, ACTIVEMQ_MAP_MESSAGE, ACTIVEMQ_MESSAGE, ACTIVEMQ_MSG_ACK, ACTIVEMQ_OBJECT_MESSAGE, ACTIVEMQ_STREAM_MESSAGE, ACTIVEMQ_TEXT_MESSAGE, CAPACITY_INFO, CAPACITY_INFO_REQUEST, CONSUMER_INFO, DURABLE_UNSUBSCRIBE, INT_RESPONSE_RECEIPT_INFO, PRODUCER_INFO, RECEIPT_INFO, RESPONSE_RECEIPT_INFO, SESSION_INFO, TRANSACTION_INFO, WIRE_FORMAT_INFO, XA_TRANSACTION_INFO`

Constructor Summary
`ResponseReceipt()`

Method Summary
`int` | `getPacketType()` Return the type of Packet
`Serializable` | `getResult()`
`byte[]` | `getResultBytes()`
`void` | `setResult(Serializable result)`
`void` | `setResultBytes(byte[] resultBytes)`

Methods inherited from class org.codehaus.activemq.message.Receipt
`getBrokerMessageCapacity, getBrokerName, getClusterName, getCorrelationId, getException, isFailed, isReceipt, setBrokerMessageCapacity, setBrokerName, setClusterName, setCorrelationId, setException, setFailed, toString`

Methods inherited from class org.codehaus.activemq.message.AbstractPacket
`addBrokerVisited, decrementMemoryReferenceCount, equals, equals, getBitArray, getBrokersVisited, getBrokersVisitedAsString, getId, getMemoryUsage, getMemoryUsageReferenceCount, getPacketTypeAsString, hashCode, hasVisited, incrementMemoryReferenceCount, initializeBrokersVisited, initializeOther, isJMSMessage, isReceiptRequired, setBitArray, setId, setMemoryUsage, setReceiptRequired`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResponseReceipt

    public ResponseReceipt()

Method Detail

### getPacketType

    public int getPacketType()

  Description copied from class: `Receipt`
  Return the type of Packet

  Specified by:
    `getPacketType` in interface `Packet`
  Overrides:
    `getPacketType` in class `Receipt`
  Returns:
    integer representation of the type of Packet
  See Also:
    `Receipt.getPacketType()`

### getResult

    public Serializable getResult()
                           throws JMSException

  Returns:
    Returns the result.
  Throws:
    `JMSException`

### setResult

    public void setResult(Serializable result)

  Parameters:
    `result` - The result to set.

### setResultBytes

    public void setResultBytes(byte[] resultBytes)

### getResultBytes

    public byte[] getResultBytes()
                          throws IOException

  Returns:
    Returns the resultBytes.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.